Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.entitlements.controls
Interface SecurityPolicyManagerControl

    @ControlInterface
    public interface SecurityPolicyManagerControl

Method Summary
`void` | `createSecurityPolicy(SecurityPolicyItem securityPolicyItem, ResourceContext context)` Creates a SecurityPolicy.
`SecurityPolicyItem` | `getSecurityPolicyItem(SecurityPolicyItem securityPolicyItem, ResourceContext context)` Finds and populates a SecurityPolicyItem.
`List<com.bea.portal.tools.entitlements.controls.ResourcePolicyBean>` | `listPoliciesForResource(SecurityPolicyItem securityPolicyItem, ResourceContext context)` Finds all available security policies given a policy item (resourceId).
`boolean` | `policyExists(SecurityPolicyItem securityPolicyItem, ResourceContext context)` Used to determine if a role policy exists.
`void` | `removeSecurityPolicy(SecurityPolicyItem securityPolicyItem, ResourceContext context)` This method will remove a SecurityPolicyItem
`void` | `updateSecurityPolicy(SecurityPolicyItem securityPolicyItem, ResourceContext context)` Updates a SecurityPolicy.

Method Detail

### listPoliciesForResource

    List<com.bea.portal.tools.entitlements.controls.ResourcePolicyBean> listPoliciesForResource(SecurityPolicyItem securityPolicyItem,
                                                                                                ResourceContext context)

  Finds all available security policies given a policy item (resourceId). Instead of just returning security policies associated at the resource Id (leaf) node, this method may be used to get a full list of security policies associated with the resource taxonomy.

  Parameters
    `securityPolicyItem` - The object containing the required and optional security policy attributes
    `context` - the resource context
  Returns
    a List of ResourcePolicyBeans

### policyExists

    boolean policyExists(SecurityPolicyItem securityPolicyItem,
                         ResourceContext context)

  Used to determine if a role policy exists.

  Parameters
    `securityPolicyItem` - The polcy to check for.
    `context` - the resource context
  Returns
    true if the policy exists false otherwise

### removeSecurityPolicy

    void removeSecurityPolicy(SecurityPolicyItem securityPolicyItem,
                              ResourceContext context)
                              throws com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                     com.bea.p13n.entitlements.common.PolicyRemoveException

  This method will remove a SecurityPolicyItem

  Parameters
    `securityPolicyItem` - The SecurityPolicyItem to remove
    `context` - the resource context
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyRemoveException`

### createSecurityPolicy

    void createSecurityPolicy(SecurityPolicyItem securityPolicyItem,
                              ResourceContext context)
                              throws com.bea.p13n.entitlements.common.PolicyExistsException,
                                     com.bea.p13n.entitlements.common.PolicyCreateException

  Creates a SecurityPolicy.

  Parameters
    `securityPolicyItem` - The SecurityPolicyItem to create.
    `context` - the resource context
  Throws
    `com.bea.p13n.entitlements.common.PolicyExistsException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`

### updateSecurityPolicy

    void updateSecurityPolicy(SecurityPolicyItem securityPolicyItem,
                              ResourceContext context)
                              throws com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                     com.bea.p13n.entitlements.common.PolicyCreateException

  Updates a SecurityPolicy.

  Parameters
    `securityPolicyItem` - The SecurityPolicyItem to update.
    `context` - the resource context
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`

### getSecurityPolicyItem

    SecurityPolicyItem getSecurityPolicyItem(SecurityPolicyItem securityPolicyItem,
                                             ResourceContext context)
                                             throws com.bea.p13n.entitlements.common.PolicyNotFoundException

  Finds and populates a SecurityPolicyItem. The required fields are the:
  - The Enterprise App Name
  - The Webapp Name
  - ResourceId
  - Optionally the capability string if one was used at create time.

  Parameters
    `securityPolicyItem` - The SecurityPolicyItem.
    `context` - the resource context
  Returns
    SecurityPolicyItem If found.
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved